summaryrefslogtreecommitdiff
path: root/plugins/rustup
diff options
context:
space:
mode:
Diffstat (limited to 'plugins/rustup')
-rw-r--r--plugins/rustup/README.md8
-rw-r--r--plugins/rustup/rustup.plugin.zsh37
2 files changed, 16 insertions, 29 deletions
diff --git a/plugins/rustup/README.md b/plugins/rustup/README.md
index ba037f8f6..c620e72a8 100644
--- a/plugins/rustup/README.md
+++ b/plugins/rustup/README.md
@@ -1,9 +1,3 @@
# rustup
-This plugin adds completion for [`rustup`](https://rustup.rs/), the toolchain installer for the Rust programming language.
-
-To use it, add `rustup` to the plugins array in your zshrc file:
-
-```zsh
-plugins=(... rustup)
-```
+**Deprecated: use the [`rust`](https://github.com/ohmyzsh/ohmyzsh/tree/master/plugins/rust) plugin instead.**
diff --git a/plugins/rustup/rustup.plugin.zsh b/plugins/rustup/rustup.plugin.zsh
index c6efc1b13..3d59c1c54 100644
--- a/plugins/rustup/rustup.plugin.zsh
+++ b/plugins/rustup/rustup.plugin.zsh
@@ -1,22 +1,15 @@
-if (( $+commands[rustup] )); then
- # remove old generated completion file
- command rm -f "${0:A:h}/_rustup"
-
- ver="$(rustup --version 2>/dev/null)"
- ver_file="$ZSH_CACHE_DIR/rustup_version"
- comp_file="$ZSH_CACHE_DIR/completions/_rustup"
-
- mkdir -p "${comp_file:h}"
- (( ${fpath[(Ie)${comp_file:h}]} )) || fpath=("${comp_file:h}" $fpath)
-
- if [[ ! -f "$comp_file" || ! -f "$ver_file" || "$ver" != "$(< "$ver_file")" ]]; then
- rustup completions zsh >| "$comp_file"
- echo "$ver" >| "$ver_file"
- fi
-
- declare -A _comps
- autoload -Uz _rustup
- _comps[rustup]=_rustup
-
- unset ver ver_file comp_file
-fi
+print ${(%):-'%F{yellow}The `rustup` plugin is deprecated and has been moved to the `rust` plugin.'}
+print ${(%):-'Please update your .zshrc to use the `%Brust%b` plugin instead.%f'}
+
+# TODO: 2021-12-28: remove this block
+# Handle $0 according to the standard:
+# https://zdharma-continuum.github.io/Zsh-100-Commits-Club/Zsh-Plugin-Standard.html
+0="${${ZERO:-${0:#$ZSH_ARGZERO}}:-${(%):-%N}}"
+0="${${(M)0:#/*}:-$PWD/$0}"
+# Remove old generated completion file
+command rm -f "${0:A:h}/_rustup" "$ZSH_CACHE_DIR/rustup_version"
+
+(( ${fpath[(Ie)$ZSH/plugins/rust]} )) || {
+ fpath=("$ZSH/plugins/rust" $fpath)
+ source "$ZSH/plugins/rust/rust.plugin.zsh"
+}